
worker_processes  auto;

events {
    worker_connections  1024;
}


http {
    include       mime.types;
    default_type  application/octet-stream;

    sendfile        on;
    keepalive_timeout  65;
    
    server {
        listen       3000;
        server_name  0.0.0.0;

        location / {
            include uwsgi_params;
            uwsgi_pass unix:/var/www/face-recognition/myproject.sock;
        }
	
         error_page   500 502 503 504  /50x.html;
        location = /50x.html {
             root   html;
        }
    }


    # another virtual host using mix of IP-, name-, and port-based configuration
    #
#    server {
#        listen       3000;
#        server_name  0.0.0.0;

#        location / {
#            include uwsgi_params;
#            uwsgi_pass unix:/var/www/evander/myproject.sock;
#        }
#    }


    # HTTPS server
    #
    #server {
    #    listen       443 ssl;
    #    server_name  localhost;

    #    ssl_certificate      cert.pem;
    #    ssl_certificate_key  cert.key;

    #    ssl_session_cache    shared:SSL:1m;
    #    ssl_session_timeout  5m;

    #    ssl_ciphers  HIGH:!aNULL:!MD5;
    #    ssl_prefer_server_ciphers  on;

    #    location / {
    #        root   html;
    #        index  index.html index.htm;
    #    }
    #}
}


